#!/usr/bin/env python
# -*- coding: iso-8859-1 -*-

# Setup script for color

__version__ = "$Revision: 1.7 $"[11:-2]
# $Source: /data/cvsroot/LivingLogic/Python/color/setup.py,v $

from distutils.core import setup
import textwrap

DESCRIPTION = """
ll-color provides classes and functions for handling RGB color values. This
includes the ability to convert between different color models (RGB, HSV, HLS)
as well as to and from CSS format, and several functions for modifying and
mixing colors.
"""

CLASSIFIERS="""
Development Status :: 3 - Alpha
Environment :: Console
Intended Audience :: Developers
License :: OSI Approved :: Python License (CNRI Python License)
Operating System :: OS Independent
Programming Language :: Python
Topic :: Multimedia :: Graphics
"""

KEYWORDS = """
color
RGB
HSV
HSB
HLS
CSS
red
green
blue
hue
saturation
value
brightness
luminance
"""

DESCRIPTION = "\n".join(textwrap.wrap(DESCRIPTION.strip(), width=64, replace_whitespace=True))

setup(
	name="ll-color",
	version="0.3",
	description="A module for handling RGB color values",
	long_description=DESCRIPTION,
	author=u"Walter Drwald",
	author_email="walter@livinglogic.de",
	url="http://www.livinglogic.de/Python/color/",
	download_url="http://www.livinglogic.de/Python/color/Download.html",
	license="Python",
	classifiers=CLASSIFIERS.strip().splitlines(),
	keywords=",".join(KEYWORDS.strip().splitlines()),
	py_modules=["ll.color"],
	package_dir={"ll": ""}
)
